Bug Hunting Session
Bug 80898 - FILESAVE: Objects:Word 97-2003 Document is not editable after RT
Summary: FILESAVE: Objects:Word 97-2003 Document is not editable after RT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.4.0 target:4.3.1
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-04 06:52 UTC by Dushyant
Modified: 2014-07-16 13:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original File (21.47 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-07-04 06:52 UTC, Dushyant
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dushyant 2014-07-04 06:52:51 UTC
Created attachment 102241 [details]
Original File

Problem description: 
Objects:Word 97-2003 Document is not editable after RT

Steps to reproduce:
1. Open the file which is having embedded Word 97-2003 document in LibreOffice
2. Click File -> Save As (Microsoft Word 2007/2010 (.docx))

Current behavior:
The embedded Word 97-2003 document is not editable anymore. It gives a Error pop-up with message "Make sure the application is properly installed, and that it has not been deleted, moved, renamed, or blocked by policy".

Expected behavior:
The embedded Word 97-2003 document should be editable.

              
Operating System: Windows 7
Version: 4.4.0.0.alpha0+ Master
Comment 1 Jorendc 2014-07-04 07:58:43 UTC
Synerzip -> NEW
Comment 2 Commit Notification 2014-07-07 07:25:47 UTC
Dushyant Bhalgami committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=163b5fd59fe1e9b8c8a1bcac9dab069c0bcd27e9

fdo#80898:Fix for embedded obj 97-2003 MS Doc File



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-07-11 12:05:16 UTC
Dushyant Bhalgami committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b76a1855a60fce90eb09e3d40a79dca0c5901bd&h=libreoffice-4-3

fdo#80898:Fix for embedded obj 97-2003 MS Doc File


It will be available in LibreOffice 4.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.